<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Publish Recruitment</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Publish Recruitment
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active">Recruitment Request List</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <!--            <div class="nav-tabs-custom">-->
            <!--                <ul class="nav nav-tabs">-->
            <!--                    <li class="active"><a href="#detail" data-toggle="tab">Attendance Request</a></li>-->
            <!--                </ul>-->
            <!--                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">-->
            <div class="box">
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="box box-info">
                                <div class="box-header with-border">

                                    <span>Recruitment Request</span>
                                    <!--                                        <span th:text="${employes.fullName}"></span>-->

                                </div>
                                <div class="box-body">
                                    <div class="box">
                                        <form method="get">
                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <!--                                                                <h3 class="box-title">Ayah</h3>-->
                                                    </div>
                                                    <div class="col-md-6" align="right">
                                                        Show entries <span sd:page-size-selector="javascript"></span>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="box-header with-border">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <!--                                                        <a th:href="@{/request/attendance/new}" name="tambahAyah" type="button" class="btn btn-primary">Request Attendance</a>-->
                                                    </div>

                                                    <div class="col-md-6" align="right">
                                                        <div class="input-group input-group-sm" style="width: 150px;">
                                                            <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                                            <div class="input-group-btn">
                                                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>
                                            </div>
                                        </form>
                                        <!-- /.box-header -->


                                        <div class="box-body table-responsive no-padding">
                                            <form  name="form1" method="post">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <th style="width: 10px">#</th>
<!--                                                        <th style="width: 10px"></th>-->
                                                        <th>Request Detail</th>
                                                    </tr>
                                                    <tr th:each="dataRequest,row : ${listRecruitment}">
                                                        <td th:text="${(row.index + 1) + (listRecruitment.number * listRecruitment.size)}">1.</td>
<!--                                                        <td>-->
<!--                                                            <label>-->
<!--                                                                <input type="checkbox" th:value="${dataRequest.getId()}" name="request" class="flat-red">-->
<!--                                                            </label>-->
<!--                                                        </td>-->
                                                        <td>
                                                            <table class="table table-bordered">
                                                                <tr>
                                                                    <th style="width: 200px">Requested By</th>
                                                                    <th style="width: 200px">For Department</th>
                                                                    <th style="width: 200px">For Position</th>
                                                                    <th style="width: 200px">Gender</th>
                                                                    <th style="width: 200px">Quantity</th>
                                                                    <th style="width: 200px">Date Request</th>
                                                                </tr>
                                                                <tr>
                                                                    <td th:text="${dataRequest.employes.fullName}">BEASISWA</td>
                                                                    <td th:text="${dataRequest.department.departmentName}">BEASISWA</td>
                                                                    <td th:text="${dataRequest.position.positionName}">BEASISWA</td>
                                                                    <td th:text="${dataRequest.gender}">BEASISWA</td>
                                                                    <td th:text="${dataRequest.quantity}"></td>
                                                                    <td th:text="${#temporals.format(dataRequest.dateRequest,'dd-MMM-yyyy')}">BEASISWA</td>
                                                                </tr>
                                                                <tr>
                                                                    <th>Qualification</th>
                                                                    <td colspan="5" th:utext="${dataRequest.qualification}">BEASISWA</td>
                                                                </tr>
                                                                <tr>
                                                                    <th>Description</th>
                                                                    <td colspan="5" th:utext="${dataRequest.jobDescription}">BEASISWA</td>
                                                                </tr>
                                                                <tr>
                                                                    <th>Additional Information</th>
                                                                    <td colspan="4" th:utext="${dataRequest.additionalInformation}">BEASISWA</td>
                                                                    <td>
                                                                        <a th:if="${dataRequest.openDate == null}" class="btn btn-success btn-block" th:href="@{/recruitment/launching(request=${dataRequest.id})}">Publish</a>
                                                                        <a th:if="${dataRequest.openDate != null}" class="btn btn-info btn-block" href="#!" >Published</a>
                                                                    </td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
<!--                                                <div class="col-md-6">-->
<!--                                                    <input type="submit" class="btn btn-primary" value="Approve Checked">-->
<!--                                                </div>-->
                                            </form>
                                        </div>
                                        <!-- /.box-body -->
                                        <div class="box-footer clearfix">
                                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                                        aria-hidden="true">&laquo;</span></a>
                                                </li>
                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <!--                                    <div class="box-footer">-->
                                <!--&lt;!&ndash;                                        <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>&ndash;&gt;-->
                                <!--&lt;!&ndash;                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>&ndash;&gt;-->
                                <!--                                    </div>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--                </form>-->
            <!--            </div>-->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>